Name:       rocksdb
Version:    3.12
Release:    1%{?dist}
Summary:    A Persistent Key-Value Store for Flash and RAM Storage

License:    BSD
URL:        https://github.com/facebook/rocksdb.git

BuildRequires:    snappy-devel
BuildRequires:    jemalloc-devel
BuildRequires:  bzip2-devel
BuildRequires:  gflags-devel
BuildRequires:  gtest-devel
ExclusiveArch: x86_64


Source0:    https://github.com/facebook/%{name}/archive/v3.12.tar.gz#/%{name}-%{version}.tar.gz
Patch0:     rocksdb-3.12-install_path.patch
Patch1:     rocksdb-3.12-arch.patch
Patch2:     rocksdb-3.12-bundle_gtest.patch

%description
Rocksdb is a library that forms the core building block for a fast key value
server, especially suited for storing data on flash drives. It has a
Log-Structured-Merge-Database (LSM) design with flexible tradeoffs between
Write-Amplification-Factor (WAF), Read-Amplification-Factor (RAF) and
Space-Amplification-Factor (SAF). It has multi-threaded compactions, making it
specially suitable for storing multiple terabytes of data in a single database.

%package devel
Summary: Development files for rocksdb
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for rocksdb


%prep
%setup -q

%patch0 -p1 -b .install_path
%patch1 -p1 -b .arch
%patch2 -p1 -b .bundle_gtest

rm -rf third-party/gtest-1.7.0


%build
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -std=c++11"
make %{?_smp_mflags} shared_lib

%check
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags} check

%install
make install-shared \
         INSTALL_PREFIX=%{buildroot}\
         LIB_INSTALL_DIR=%{_libdir}\
         INCLUDE_INSTALL_DIR=%{_includedir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%{_libdir}/librocksdb.so.3
%{_libdir}/librocksdb.so.3.12
%{_libdir}/librocksdb.so.3.12.0
%license LICENSE


%files devel
%{_libdir}/librocksdb.so
%{_includedir}/*

%changelog
* Fri Jul 31 2015 Matej Muzila <mmuzila@redhat.com> 3.12-1
- Packaged rocksdb

